#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	tests		# check target
#
Summary:	The Typesafe Signal Framework for C++
Summary(pl.UTF-8):	Środowisko sygnałów z kontrolą typów dla C++
Name:		libsigc++
Version:	2.12.0
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libsigc++/2.12/%{name}-%{version}.tar.xz
# Source0-md5:	943b7aef5d74fbc4f4a3bb67bcfaae02
URL:		https://libsigcplusplus.github.io/libsigcplusplus/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	doxygen >= 1:1.8.9
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2.0
BuildRequires:	m4
BuildRequires:	mm-common >= 0.9.10
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libsigc++-examples < 1
Conflicts:	libsigc++ < 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a seperate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

%description -l pl.UTF-8
Ta biblioteka jest implementacją pełnego systemu callbacków do
używania w bibliotekach widgetów, interfejsach abstrakcyjnych i
ogólnym programowaniu. Oryginalnie była to część zestawu widgetów
Gtk--, ale jest teraz oddzielną biblioteką ogólniejszego
przeznaczenia. Jest to kompletna biblioteka tego typu z możliwością
łączenia abstrakcyjnych callbacków z metodami klas, funkcjami lub
obiektami funkcji. Zawiera klasy adapterów do łączenia różnych
callbacków.

%package devel
Summary:	Development tools for the Typesafe Signal Framework for C++
Summary(pl.UTF-8):	Narzędzia programistyczne do środowiska libsig++
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7
Requires:	m4

%description devel
Development tools for the Typesafe Signal Framework for C++.

%description devel -l pl.UTF-8
Narzędzia programistyczne do środowiska libsigc++ - sygnałów z
kontrolą typów.

%package static
Summary:	Static Typesafe Signal Framework for C++ libraries
Summary(pl.UTF-8):	Statyczna biblioteka libsigc++
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Typesafe Signal Framework for C++ libraries.

%description static -l pl.UTF-8
Statyczna biblioteka libsigc++ - środowiska sygnałów z kontrolą typów.

%package doc
Summary:	Reference documentation for libsigc++
Summary(pl.UTF-8):	Szczegółowa dokumentacja dla libsigc++
Group:		Documentation
BuildArch:	noarch

%description doc
Reference documentation for libsigc++.

%description doc -l pl.UTF-8
Szczegółowa dokumentacja dla libsigc++.

%prep
%setup -q

%build
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsigc-2.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libsigc-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsigc-2.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsigc-2.0.so
%{_includedir}/sigc++-2.0
%{_libdir}/sigc++-2.0
%{_pkgconfigdir}/sigc++-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsigc-2.0.a
%endif

%files doc
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/libsigc++-2.0
%{_docdir}/libsigc++-2.0
%changelog
* Sat Mar 04 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsigc++.git;a=log;h=master

* Sat Mar 04 2023 Jakub Bogusz <qboosh@pld-linux.org> d843bd3
- updated to 2.12.0

* Fri Feb 18 2022 Jakub Bogusz <qboosh@pld-linux.org> a157e52
- updated to 2.10.8

* Thu May 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 37440e0
- updated to 2.10.7
- noarch -doc

* Wed Nov 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 2b119fb
- updated to 2.10.6, drop .la file

* Wed Sep 30 2020 Jakub Bogusz <qboosh@pld-linux.org> aa517bb
- updated to 2.10.4

* Tue Apr 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 75b17d9
- updated to 2.10.3

* Wed Jun 26 2019 Jakub Bogusz <qboosh@pld-linux.org> c0ce4a0
- updated to 2.10.2

* Wed Nov 07 2018 Jakub Bogusz <qboosh@pld-linux.org> 13e32c2
- updated URL, updated to 2.10.1

* Sat Dec 03 2016 Jakub Bogusz <qboosh@pld-linux.org> db10935
- updated to 2.10.0
- added tests bcond

* Fri Mar 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 09fd17d
- updated to 2.8.0

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> da87c9e
- updated to 2.6.2

* Mon Sep 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 7d9df77
- updated to 2.6.1; C++11 now

* Sun Mar 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 1e5c6e0
- updated to 2.4.1

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 5995149
- x32 rebuild
- release 2 (by relup.sh)

* Thu Sep 18 2014 Jakub Bogusz <qboosh@pld-linux.org> d7fc675
- updated to 2.4.0

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> d7c160d
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c77324
- updated to 2.2.11

* Thu Jul 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 6e5cfdb
- updated to 2.2.10
- xz source

* Thu Mar 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 1338216
- updated to 2.2.9

* Sat Sep 18 2010 Jakub Bogusz <qboosh@pld-linux.org> a5958e1
- unified packages order (preamble=files)

